Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1055)
@@ -5274,33 +5435,33 @@
             G4LorentzVector t4Mom(0.,0.,0.,0.);
             if(sPDG==89999002)                               // A=1
-		          {
+            {
               fQPDG=nQPDG;
               rQPDG=pimQPDG;
               f4Mom=G4LorentzVector(0.,0.,0.,mNeut);
               g4Mom=G4LorentzVector(0.,0.,0.,mPi);
-		          }
+            }
             else if(sPDG==90001999)
-		          {
+            {
               fQPDG=pQPDG;
               rQPDG=pipQPDG;
               f4Mom=G4LorentzVector(0.,0.,0.,mProt);
               g4Mom=G4LorentzVector(0.,0.,0.,mPi);
-		          }
+            }
             else if(sPDG==90000002)                        // A=2
-		          {
+            {
               fQPDG=nQPDG;
               rQPDG=nQPDG;
               f4Mom=G4LorentzVector(0.,0.,0.,mNeut);
               g4Mom=f4Mom;
-		          }
+            }
             else if(sPDG==90002000)
-		          {
+            {
               fQPDG=pQPDG;
               rQPDG=pQPDG;
               f4Mom=G4LorentzVector(0.,0.,0.,mProt);
               g4Mom=f4Mom;
-		          }
+            }
             else if(sPDG==92000000)
-		          {
+            {
               fQPDG=lQPDG;
               rQPDG=lQPDG;
@@ -5308,5 +5469,5 @@
               g4Mom=f4Mom;
               if(sM>mSigZ+mSigZ)             // Sigma0+Sigma0 is possible
-			           {                                  // @@ Only two particles PS is used
+              {                                  // @@ Only two particles PS is used
                 G4double sma=mLamb+mLamb;        // Lambda+Lambda sum
                 G4double pr1=0.;                 // Prototype to avoid sqrt(-)
@@ -5334,5 +5495,5 @@
               }
               else if(sM>mSigZ+mLamb)            // Lambda+Sigma0 is possible
-			           {                                  // @@ Only two particles PS is used
+              {                                  // @@ Only two particles PS is used
                 G4double sma=mLamb+mLamb;        // Lambda+Lambda sum
                 G4double pr1=0.;                 // Prototype to avoid sqrt(-)
@@ -5348,7 +5509,7 @@
                 }                                //
               }                                  //
-		          }
+            }
             else if(sPDG==89999003)                       // A=2
-		          {
+            {
               hQPDG=nQPDG;
               rQPDG=nQPDG;
@@ -5358,7 +5519,7 @@
               f4Mom=G4LorentzVector(0.,0.,0.,mPi);
               three=true;
-		          }
+            }
             else if(sPDG==90002999)
-		          {
+            {
               hQPDG=pQPDG;
               rQPDG=pQPDG;
@@ -5368,7 +5529,7 @@
               f4Mom=G4LorentzVector(0.,0.,0.,mPi);
               three=true;
-		          }
+            }
             else if(sPDG==90000003)                        // A=3
-		          {
+            {
               hQPDG=nQPDG;
               rQPDG=nQPDG;
@@ -5378,7 +5539,7 @@
               f4Mom=G4LorentzVector(0.,0.,0.,mNeut);
               three=true;
-		          }
+            }
             else if(sPDG==90003000)
-		          {
+            {
               hQPDG=pQPDG;
               rQPDG=pQPDG;
@@ -5388,35 +5549,35 @@
               f4Mom=G4LorentzVector(0.,0.,0.,mProt);
               three=true;
-		          }
+            }
             else if(sPDG==90001003)                     // A=4
-		          {
+            {
               rQPDG=nQPDG;
               fQPDG=tQPDG;
               g4Mom=G4LorentzVector(0.,0.,0.,mNeut);
               f4Mom=G4LorentzVector(0.,0.,0.,mTrit);
-		          }
+            }
             else if(sPDG==90003001)
-		          {
+            {
               rQPDG=pQPDG;
               fQPDG=he3QPDG;
               g4Mom=G4LorentzVector(0.,0.,0.,mProt);
               f4Mom=G4LorentzVector(0.,0.,0.,mHe3);
-		          }
+            }
             else if(sPDG==90002003)                     // A=5
-		          {
+            {
               rQPDG=nQPDG;
               fQPDG=aQPDG;
               g4Mom=G4LorentzVector(0.,0.,0.,mNeut);
               f4Mom=G4LorentzVector(0.,0.,0.,mAlph);
-		          }
+            }
             else if(sPDG==90003002)
-		          {
+            {
               rQPDG=pQPDG;
               fQPDG=aQPDG;
               g4Mom=G4LorentzVector(0.,0.,0.,mProt);
               f4Mom=G4LorentzVector(0.,0.,0.,mAlph);
-		          }
+            }
             else if(sPDG==90004002)                          // A=6
-		          {
+            {
               hQPDG=pQPDG;
               rQPDG=pQPDG;
@@ -5426,28 +5587,28 @@
               f4Mom=G4LorentzVector(0.,0.,0.,mAlph);
               three=true;
-		          }
+            }
             else if(sPDG==90002005)                        // A=7
-		          {
+            {
               rQPDG=nQPDG;
               fQPDG=a6QPDG;
               g4Mom=G4LorentzVector(0.,0.,0.,mNeut);
               f4Mom=G4LorentzVector(0.,0.,0.,mHe6);
-		          }
+            }
             else if(sPDG==90005002)
-		          {
+            {
               rQPDG=pQPDG;
               fQPDG=be6QPDG;
               g4Mom=G4LorentzVector(0.,0.,0.,mProt);
               f4Mom=G4LorentzVector(0.,0.,0.,mBe6);
-		          }
+            }
             else if(sPDG==90004004)                        // A=8
-		          {
+            {
               fQPDG=aQPDG;
               rQPDG=aQPDG;
               f4Mom=G4LorentzVector(0.,0.,0.,mAlph);
               g4Mom=f4Mom;
-		          }
+            }
             //else if(sPDG==90006002)
-		          //{
+            //{
             //  hQPDG=pQPDG;
             //  rQPDG=pQPDG;
@@ -5457,7 +5618,7 @@
             //  f4Mom=G4LorentzVector(0.,0.,0.,mBe6);
             //  three=true;
-		          //}
+            //}
             //else if(sPDG==90002006)
-		          //{
+            //{
             //  hQPDG=nQPDG;
             //  rQPDG=nQPDG;
@@ -5467,14 +5628,14 @@
             //  f4Mom=G4LorentzVector(0.,0.,0.,mHe6);
             //  three=true;
-		          //}
+            //}
             else if(sPDG==90002007)                      // A=9
-		          {
+            {
               rQPDG=nQPDG;
               fQPDG=a8QPDG;
               g4Mom=G4LorentzVector(0.,0.,0.,mNeut);
               f4Mom=G4LorentzVector(0.,0.,0.,mHe8);
-		          }
+            }
             else if(sPDG==90005004)                      // A=9
-		          {
+            {
               rQPDG=pQPDG;
               fQPDG=aQPDG;
@@ -5484,14 +5645,14 @@
               t4Mom=G4LorentzVector(0.,0.,0.,mAlph);
               three=true;
-		          }
+            }
             else if(sPDG==90007002)                      // A=9
-		          {
+            {
               rQPDG=pQPDG;
               fQPDG=c8QPDG;
               g4Mom=G4LorentzVector(0.,0.,0.,mProt);
               f4Mom=G4LorentzVector(0.,0.,0.,mC8);
-		          }
+            }
             else if(sPDG==90008004)                      // A=12
-		          {
+            {
               hQPDG=pQPDG;
               rQPDG=pQPDG;
@@ -5501,21 +5662,21 @@
               f4Mom=G4LorentzVector(0.,0.,0.,mC10);
               three=true;
-		          }
+            }
             else if(sPDG==90009006)                     // A=15
-		          {
+            {
               rQPDG=pQPDG;
               fQPDG=o14QPDG;
               g4Mom=G4LorentzVector(0.,0.,0.,mProt);
               f4Mom=G4LorentzVector(0.,0.,0.,mO14);
-		          }
+            }
             else if(sPDG==90009007)                     // A=16
-		          {
+            {
               rQPDG=pQPDG;
               fQPDG=o15QPDG;
               g4Mom=G4LorentzVector(0.,0.,0.,mProt);
               f4Mom=G4LorentzVector(0.,0.,0.,mO15);
-		          }
+            }
             else if(sPDG==90010006)                     // A=16
-		          {
+            {
               hQPDG=pQPDG;
               rQPDG=pQPDG;
@@ -5525,5 +5686,5 @@
               f4Mom=G4LorentzVector(0.,0.,0.,mO14);
               three=true;
-		          }
+            }
 #ifdef pdebug
             G4cout<<"G4QE::FSI: "<<three<<",r="<<rQPDG<<",f="<<fQPDG<<",t="<<hQPDG<<G4endl;
@@ -5538,5 +5699,5 @@
               }
               else
-			           {
+              {
 #ifdef pdebug
                 G4cout<<"G4QE::FSI:*FUSION IS DONE*,fPDG="<<sPDG<<",PDG1="<<hPDG<<",PDG2="
@@ -5552,5 +5713,5 @@
 #endif
               }
-		          }
+            }
             else
             {
@@ -5562,5 +5723,5 @@
               }
               else
-			           {
+              {
 #ifdef pdebug
                 G4cout<<"G4QE::FSI:DONE,n="<<nHadr<<",PDG="<<sPDG<<",1="<<hPDG<<",2="<<bPDG
@@ -5582,5 +5743,5 @@
 #endif
               }
-		          }
+            }
             tot4Mom+=b4m;                       // Instead of the fused hadron
             tot4Mom-=g4Mom;                     // subtract from the total the new hadron
@@ -5593,5 +5754,5 @@
             hB=hQC.GetBaryonNumber();
             hGSM = hQPDG.GetMass();
-		          h4m=f4Mom;
+            h4m=f4Mom;
             hM=h4m.m();
             // End of Instead ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
@@ -5599,7 +5760,7 @@
             G4cout<<"G4QE::FSI:cH4M="<<curHadr->Get4Momentum()<<G4endl;
 #endif
-		        } // End of the fusion check
-	       } // End of the LOOP over previous hadrons
-	     } // End of the FUSION check
+          } // End of the fusion check
+        } // End of the LOOP over previous hadrons
+      } // End of the FUSION check
 #ifdef chdebug
       // *** (2) Charge Control Sum Calculation for the Charge Conservation Check ***
@@ -5628,5 +5789,5 @@
       tot4Mom-=cH4Mom;                          // Reduce theTotal 4mom by theCurrent 4mom
       if(hadron+1==nHadr)                       // The Last Hadron in the set
-	     {
+      {
         G4double re =tot4Mom.e();
         G4double rpx=tot4Mom.px();
@@ -5638,7 +5799,7 @@
         G4cout<<"G4QE::FSI: Is Energy&Mom conserved? t4M="<<tot4Mom<<",d2="<<dem<<G4endl;
 #endif
-		      //if(2>3)                                 //@@En/Mom conservation check is closed
+        //if(2>3)                                 //@@En/Mom conservation check is closed
         if(dem>0.0001)                          // Energy or momentum is not conserved
-	       {
+        {
 #ifdef pdebug
           if(dem>.1)
@@ -5647,7 +5808,7 @@
             G4LorentzVector cor4M(0.,0.,0.,mNeut);  // Prototype for the neutron
             if(dmo<0.0001 && re>900.)               // MomentumIsConserved - recoverMissing
-			         {
+            {
               if(fabs(re-mNeut)<.01)
-			           {
+              {
                 G4cout<<"...G4QE::FSI:E/M conservation is corrected by neutron"<<G4endl;
                 //cor4M=G4LorentzVector(0.,0.,0.,mNeut); // Made as a prototype
@@ -5655,6 +5816,6 @@
                 theQHadrons.push_back(theH);  // (delete equivalent for the proton)
               }
-			           else if(fabs(re-mProt)<.01)
-			           {
+              else if(fabs(re-mProt)<.01)
+              {
                 G4cout<<"...G4QE::FSI:E/M conservation is corrected by proton"<<G4endl;
                 cor4M=G4LorentzVector(0.,0.,0.,mProt);
@@ -5662,6 +5823,6 @@
                 theQHadrons.push_back(theH);  // (delete equivalent for the proton)
               }
-			           else if(fabs(re-mDeut)<.01)
-			           {
+              else if(fabs(re-mDeut)<.01)
+              {
                 G4cout<<"...G4QE::FSI:E/M conservation is corrected by deuteron"<<G4endl;
                 cor4M=G4LorentzVector(0.,0.,0.,mDeut);
@@ -5669,6 +5830,6 @@
                 theQHadrons.push_back(theH);  // (delete equivalent for the proton)
               }
-			           else if(fabs(re-mTrit)<.01)
-			           {
+              else if(fabs(re-mTrit)<.01)
+              {
                 G4cout<<"...G4QE::FSI:E/M conservation is corrected by tritium"<<G4endl;
                 cor4M=G4LorentzVector(0.,0.,0.,mTrit);
@@ -5676,6 +5837,6 @@
                 theQHadrons.push_back(theH);  // (delete equivalent for the proton)
               }
-			           else if(fabs(re-mHe3)<.01)
-			           {
+              else if(fabs(re-mHe3)<.01)
+              {
                 G4cout<<"...G4QE::FSI:E/M conservation is corrected by He3"<<G4endl;
                 cor4M=G4LorentzVector(0.,0.,0.,mHe3);
@@ -5683,6 +5844,6 @@
                 theQHadrons.push_back(theH);  // (delete equivalent for the proton)
               }
-			           else if(fabs(re-mAlph)<.01)
-			           {
+              else if(fabs(re-mAlph)<.01)
+              {
                 G4cout<<"...G4QE::FSI:E/M conservation is corrected by alpha"<<G4endl;
                 cor4M=G4LorentzVector(0.,0.,0.,mAlph);
@@ -5690,6 +5851,6 @@
                 theQHadrons.push_back(theH);  // (delete equivalent for the proton)
               }
-			           else if(fabs(re-mNeut-mNeut)<.01)
-			           {
+              else if(fabs(re-mNeut-mNeut)<.01)
+              {
                 cor4M=G4LorentzVector(0.,0.,0.,mNeut+mNeut);
                 G4cout<<"...G4QE::FSI:E/M conservation is corrected by 2 neutrons"<<G4endl;
@@ -5699,6 +5860,6 @@
                 theQHadrons.push_back(theH2); // (delete equivalent for the proton)
               }
-			           else if(fabs(re-mProt-mProt)<.01)
-			           {
+              else if(fabs(re-mProt-mProt)<.01)
+              {
                 G4cout<<"...G4QE::FSI:E/M conservation is corrected by 2 protons"<<G4endl;
                 cor4M=G4LorentzVector(0.,0.,0.,mProt+mProt);
@@ -5708,6 +5869,6 @@
                 theQHadrons.push_back(theH2); // (delete equivalent for the proton)
               }
-			           else throw G4QException("***G4QEnv::FSInteract: Increase theCorrectionEps");
-			         }
+              else throw G4QException("***G4QEnv::FSInteract: Increase theCorrectionEps");
+            }
             else
             {
@@ -5735,5 +5896,5 @@
           G4double totRM=tot4Mom.m();
           if(cHM+pHM<=totRM)                  // *** Make the final correction ***
-		        {
+          {
             if(!G4QHadron(tot4Mom).DecayIn2(pH4Mom,cH4Mom))
             {
@@ -5801,5 +5962,5 @@
     G4cout<<"G4QE::FSI:===Before Gamma Compression===, nH="<<nHadr<<",frag="<<frag<<G4endl;
 #endif
-	   if(nHadr>2 && frag) for(G4int h=nHadr-1; h>=0; h--)//Collect gammas & kill DecayedHadrs
+    if(nHadr>2 && frag) for(G4int h=nHadr-1; h>=0; h--)//Collect gammas & kill DecayedHadrs
     {
       G4QHadron* curHadr = theQHadrons[h];    // Get a pointer to the current Hadron
@@ -5809,8 +5970,8 @@
         G4cout<<"---Warning---G4QEnv::FSI:nD-/pD++(1)="<<hPDG<<G4endl;
 #ifdef pdebug
-	     G4cout<<"G4QE::FSI: h#"<<h<<", hPDG="<<hPDG<<", hNFrag="<<hF<<G4endl;
-#endif
-	     if(hF||hPDG==22)                        // It should be compressed
-	     {
+      G4cout<<"G4QE::FSI: h#"<<h<<", hPDG="<<hPDG<<", hNFrag="<<hF<<G4endl;
+#endif
+      if(hF||hPDG==22)                        // It should be compressed
+      {
         G4QHadron* theLast = theQHadrons[theQHadrons.size()-1];//Get Ptr to the Last Hadron
         if(hPDG==22)
@@ -5820,5 +5981,5 @@
         }
         if(h<static_cast<G4int>(theQHadrons.size())-1) // Need swap with the Last
-	       {
+        {
           curHadr->SetNFragments(0);
           curHadr->Set4Momentum(theLast->Get4Momentum());
@@ -5827,12 +5988,12 @@
           else curHadr->SetQC(theLast->GetQC());// CurHadrPDG instead of LastHadrPDG
 #ifdef pdebug
-	         G4cout<<"G4QE::FSI: Exchange with the last is done"<<G4endl;
-#endif
-	       }
+          G4cout<<"G4QE::FSI: Exchange with the last is done"<<G4endl;
+#endif
+        }
         theQHadrons.pop_back();               // theLastQHadron is excluded from QHadrons
         delete theLast;//!!When kill,DON'T forget to delete theLastQHadron as an instance!!
         nHadr--;
 #ifdef pdebug
-	       G4cout<<"G4QE::FSI: The last is compessed"<<G4endl;
+        G4cout<<"G4QE::FSI: The last is compessed"<<G4endl;
 #endif
       }
@@ -5849,5 +6010,5 @@
         ccContSum+=theQHadrons[ic4]->GetCharge();
         cbContSum+=theQHadrons[ic4]->GetBaryonNumber();
-	   }
+    }
     if(ccContSum-chContSum || cbContSum-bnContSum)
     {
@@ -5872,5 +6033,5 @@
 #endif
       if(lB<hB)                               // Must be swapped
-	     {
+      {
         G4QPDGCode   hQPDG = curHadr->GetQPDG();
         G4LorentzVector h4m= curHadr->Get4Momentum();
@@ -5881,5 +6042,5 @@
         theLast->Set4Momentum(h4m);
         theLast->SetQPDG(hQPDG);
-	     }
+      }
     }
     nHadr=theQHadrons.size();
@@ -5922,7 +6083,7 @@
         //G4double mGamEva=2700.;             // @@Threshold for the evaporation
         G4double mGamEva=1700.;               // @@Threshold for the evaporation
-	       if(exResidN.SplitBaryon())
-	       //if(2>3)                             //CloseTheFirstPriorityResN+gamSumEvaporation
-	       {
+        if(exResidN.SplitBaryon())
+        //if(2>3)                             //CloseTheFirstPriorityResN+gamSumEvaporation
+        {
           theNew->Set4Momentum(exRes4M);      // Icrease 4Mom of theLast by "sum" to Evapor
 #ifdef ffdebug
@@ -5932,5 +6093,5 @@
         }
         else if(theNew->GetPDGCode()==90002002&&exRes4M.m()>mHe3+mNeut&&G4UniformRand()>.5)
-	       {
+        {
           theNew->Set4Momentum(exRes4M);      // Icrease 4Mom of theLast by "sum" to Evapor
           G4LorentzVector n4M(0.,0.,0.,mNeut);
@@ -5950,7 +6111,7 @@
           theQHadrons.push_back(theHe3);      // (delete equivalent for the proton)
         }
-	       else if(nHadr)                        // Get LastHadrBefResNuc, absorb gam & decay
-	       //else if(2>3)                        // Close the pair absorbtion of gamma
-	       {
+        else if(nHadr)                        // Get LastHadrBefResNuc, absorb gam & decay
+        //else if(2>3)                        // Close the pair absorbtion of gamma
+        {
           if(nHadr>1)for(unsigned sh=0; sh<theQHadrons.size()-1; sh++)//Ord:MinE is TheLast
           {
@@ -5970,5 +6131,5 @@
 #endif
             if(hM>mGamEva&&lT>hT)             // Must be swapped as the current is smaller
-	           {
+            {
               G4QPDGCode   hQPDG = curHadr->GetQPDG();
               curHadr->Set4Momentum(l4M);
@@ -5978,5 +6139,5 @@
               thePrev->Set4Momentum(h4M);
               thePrev->SetQPDG(hQPDG);
-	           }
+            }
           }
           nHadr=theQHadrons.size();
@@ -5996,5 +6157,5 @@
             G4double dhM=dh4M.m();            // M of LH+PH+sum(gammas) for theDecay
             if(theHad->GetPDGCode()==90001001&&dhM>n4M.m()+mProt+mNeut&&G4UniformRand()>.5)
-		          //if(2>3)                           // Close Possibility toSplitDeuteron
+            //if(2>3)                           // Close Possibility toSplitDeuteron
             {
               G4double nuM=n4M.m();
@@ -6039,7 +6200,7 @@
               EvaporateResidual(theNew);      // Try to evaporate theResNuc (del.eq.)
             }
-	         }
+          }
           else
-	         {
+          {
             theNew->Set4Momentum(exRes4M);    // Icrease 4MomOfTheLast by "sum" for Evapor
 #ifdef ffdebug
@@ -6049,6 +6210,6 @@
           }
         }
-	       else                            // Absorb gammas to theResidNucleus and evaporateIt
-	       {
+        else                            // Absorb gammas to theResidNucleus and evaporateIt
+        {
           theNew->Set4Momentum(exRes4M);// Icrease 4Mom of the Last by the "sum" for Evap
           EvaporateResidual(theNew);    // Try to evaporate the Nucl.(@@DecDib)(delete eq.)
@@ -6058,5 +6219,5 @@
           G4cout<<"G4QE::FSI:AfterEvaporation: nNew="<<nHN<<G4endl;
           if(nHN>nHadr)for(unsigned idp=nHadr; idp<nHN; idp++)
-		        G4cout<<"G4QE::FSI: h#"<<idp<<", PDG="<<theQHadrons[idp]->GetPDGCode()<<G4endl;
+          G4cout<<"G4QE::FSI: h#"<<idp<<", PDG="<<theQHadrons[idp]->GetPDGCode()<<G4endl;
 #endif
         }
@@ -6108,5 +6269,5 @@
         maxB=ipo;
       }                                           // the current biggest nuclear fragment
-	   }
+    }
   }
 #ifdef pdebug
@@ -6157,10 +6318,10 @@
 #endif
       if(hPDG==22)                                // Photon is foun on the "gp" position
-	     {
+      {
         gamSum=gamSum+theCurr->Get4Momentum();    // Accumulate the 4Momenta of the photon
         unsigned nLast=nHadr-1;                   // position of theLastHadron (gp<nHadr-1)
         G4QHadron* theLast = theQHadrons[nLast];  // Pointer to the Last Hadron
         while(nLast>gp && theLast->GetPDGCode()==22) // "TheLast is a photon too" LOOP
-								{
+        {
           gamSum=gamSum+theLast->Get4Momentum();  // Accumulate 4-momentum of theLastPhoton
           theQHadrons.pop_back();                 // Pnt to theLastHadr.is excluded from HV
@@ -6183,10 +6344,10 @@
 #endif
         }
-	     }
+      }
     }
     // @@ Now it is necessary to try to emit alpha or evaporate the residual nucleus
     G4QHadron* theLast = theQHadrons[nHadr-1];   // Pointer to the Last Hadron
     if(theLast->GetPDGCode()==22)
-	   {
+    {
       gamSum=gamSum+theLast->Get4Momentum();     // Accumulate 4-momentum of the LastPhoton
       theQHadrons.pop_back();                    // Pnt to theLastHadr.is excluded from HV
@@ -6197,8 +6358,8 @@
 #endif
       theLast = theQHadrons[nHadr-1];
-	   }
+    }
     G4int nEx=nHadr-2;                           // position to be exchanged with theLast
     while(theLast->GetBaryonNumber()<1 && nEx>=0)// theLastHadron must be a nucleus (A>0)
-				{
+    {
       G4QHadron* theEx=theQHadrons[nEx];         // A hadron to be exchanged with theLast
       G4LorentzVector ex4Mom=theEx->Get4Momentum();
@@ -6221,10 +6382,10 @@
     G4double tRM=tR4M.m();                       // TotMass of theResidualNucleus to decay
     if(theLB>4)
-	   {
-	     G4QContent lrQC=curHadr->GetQC()-G4QContent(6,6,0,0,0,0);
+    {
+      G4QContent lrQC=curHadr->GetQC()-G4QContent(6,6,0,0,0,0);
       G4QNucleus lrN(lrQC);
       G4double lrM=lrN.GetMZNS();
       if(tRM>lrM+mAlph)
-	     {
+      {
         G4LorentzVector lr4M(0.,0.,0.,lrM);
         G4LorentzVector al4M(0.,0.,0.,mAlph);
@@ -6236,8 +6397,8 @@
           G4cout<<"G4QE::FSI: After Evap (1) nH="<<theQHadrons.size()<<G4endl;
 #endif
-	       }
+        }
         else
         {
-		        delete curHadr;
+          delete curHadr;
           G4int APDG=lrN.GetPDG();
 #ifdef pdebug
@@ -6257,5 +6418,5 @@
         G4cout<<"G4QE::FSI: After Evap (2) nH="<<theQHadrons.size()<<G4endl;
 #endif
-	     }
+      }
     }
     else
@@ -6266,5 +6427,5 @@
       G4cout<<"G4QE::FSI: After Evap (5) nH="<<theQHadrons.size()<<G4endl;
 #endif
-	   }
+    }
   }
   //Now just fill the output theFravment vector (User is responsible to ClearAndDestroy it)
@@ -6342,5 +6503,5 @@
       G4double sum=mNucl+mPion+mSi;
       if(hPDG==90998003&&reM<sum)                      // Default -- values
-	     {
+      {
         PDGsi=2112;
         mSi=mNeut;
@@ -6350,5 +6511,5 @@
       }
       if(hPDG==91002998)                      // Change -- default values to +++ values
-	     {
+      {
         mNucl=mProt;
         PDGnu=2212;
@@ -6358,5 +6519,5 @@
         sum=mNucl+mPion+mSi;
         if(reM<sum)
-	       {
+        {
           PDGsi=2212;
           mSi=mProt;
@@ -6368,5 +6529,5 @@
       G4LorentzVector k4M(0.,0.,0.,mSi);
       if(fabs(reM-sum)<eps)
-	     {
+      {
         //G4cout<<"G4QE::FSI:*TMP* PiDelta split PDG="<<hPDG<<G4endl;//To find out why?
         n4M=r4M*(mNucl/sum);
@@ -6387,5 +6548,5 @@
             G4QPDGCode lQP=theLast->GetQPDG();         // The QPDG of the last
             if(lQP.GetPDGCode()!=10) curHadr->SetQPDG(lQP); //CurHadr instead of PrevHadr
-            else curHadr->SetQC(theLast->GetQC());       // CurHadrPDG instead of LastHadrPDG
+            else curHadr->SetQC(theLast->GetQC());     // CurHadrPDG instead of LastHadrPDG
             curHadr->Set4Momentum(theLast->Get4Momentum()); // ... 4Momentum substitution
           }
@@ -6407,5 +6568,5 @@
               G4int hpPDG=cpHadr->GetPDGCode();
               G4LorentzVector hpLV=cpHadr->Get4Momentum();
-		      G4cout<<"G4QE::FSI:h#"<<hp<<": hPDG="<<hpPDG<<", h4M="<<hpLV<<G4endl;
+        G4cout<<"G4QE::FSI:h#"<<hp<<": hPDG="<<hpPDG<<", h4M="<<hpLV<<G4endl;
             }
 #endif
@@ -6415,5 +6576,5 @@
           delete quasH;
           fOK=false;
-		      }
+        }
         else
         {
@@ -6434,5 +6595,5 @@
         curHadr->SetQPDG(G4QPDGCode(PDGnu));// At least one nucleun always exists
         if(dub)
-		      {
+        {
           p4M/=2.;
           G4QHadron* Pid = new G4QHadron(PDGpi,p4M); // Create a Hadron for the pion
@@ -6449,5 +6610,5 @@
     }
     else if(hPDG==89998003||hPDG==90002998)   // Isonucleus (pi- + DEL- or pi+ + DEL++)
-	   {                                         // @@ can be converted here to B>1
+    {                                         // @@ can be converted here to B>1
       //G4cout<<"G4QE::FSI:*TMP* PiDelta decay PDG="<<hPDG<<G4endl;//To find out why?
       G4double mNucl=mNeut;
@@ -6455,5 +6616,5 @@
       G4int PDGpi=-211;
       if(hPDG==90002998)                      // Change DEL- default values to DEL++ values
-	     {
+      {
         mNucl=mProt;
         PDGnu=2212;
@@ -6468,5 +6629,5 @@
       G4double sum=mNucl+mPi+mPi;
       if(fabs(reM-sum)<eps)
-	     {
+      {
         //G4cout<<"G4QE::FSI:*TMP* PiDelta split PDG="<<hPDG<<G4endl;//To find out why?
         n4M=r4M*(mNucl/sum);
@@ -6487,5 +6648,5 @@
             G4QPDGCode lQP=theLast->GetQPDG();         // The QPDG of the last
             if(lQP.GetPDGCode()!=10) curHadr->SetQPDG(lQP); //CurHadr instead of PrevHadr
-            else curHadr->SetQC(theLast->GetQC());       // CurHadrPDG instead of LastHadrPDG
+            else curHadr->SetQC(theLast->GetQC());     // CurHadrPDG instead of LastHadrPDG
             curHadr->Set4Momentum(theLast->Get4Momentum()); // ... 4Momentum substitution
           }
@@ -6506,5 +6667,5 @@
           delete quasH;
           fOK=false;
-		      }
+        }
         else
         {
@@ -6534,5 +6695,5 @@
     }
     else if(hBN>0 && !hST && (hCG<0||hCG>hBN)) // Isonucleus (n*N+k*DEL- or n*P+k*DEL++)
-	   {
+    {
       G4double mNucl=mNeut;
       G4int PDGnu=2112;
@@ -6540,5 +6701,5 @@
       G4int nPi=-hCG;                         // Prototype of the minimum number of pions
       if(hCG>0)                               // Change DEL- default values to DEL++ values
-	     {
+      {
         mNucl=mProt;
         PDGnu=2212;
@@ -6554,5 +6715,5 @@
       G4double sum=nucM+pioM;
       if(fabs(reM-sum)<eps)
-	     {
+      {
         n4M=r4M*(nucM/sum);
         k4M=r4M*(pioM/sum);
@@ -6575,5 +6736,5 @@
             G4QPDGCode lQP=theLast->GetQPDG();         // The QPDG of the last
             if(lQP.GetPDGCode()!=10) curHadr->SetQPDG(lQP); //CurHadr instead of PrevHadr
-            else curHadr->SetQC(theLast->GetQC());       // CurHadrPDG instead of LastHadrPDG
+            else curHadr->SetQC(theLast->GetQC());     // CurHadrPDG instead of LastHadrPDG
             curHadr->Set4Momentum(theLast->Get4Momentum()); // ... 4Momentum substitution
           }
@@ -6596,5 +6757,5 @@
               G4int hpPDG=cpHadr->GetPDGCode();
               G4LorentzVector hpLV=cpHadr->Get4Momentum();
-		            G4cout<<"G4QE::FSI:h#"<<hp<<": hPDG="<<hpPDG<<", h4M="<<hpLV<<G4endl;
+              G4cout<<"G4QE::FSI:h#"<<hp<<": hPDG="<<hpPDG<<", h4M="<<hpLV<<G4endl;
             }
 #endif
@@ -6604,5 +6765,5 @@
           delete quasH;                          // TemporaryQuasmon is used for recovery
           fOK=false;
-		      }
+        }
         else
         {
@@ -6619,5 +6780,5 @@
         G4cout<<"G4QE::FSI:IsoN==>"<<r4M<<"->N="<<PDGnu<<n4M<<"+Pi="<<PDGpi<<k4M<<G4endl;
 #endif
-		      if(hBN>1) n4M/=hBN;                    // Calculate the 4mom per one nucleon
+        if(hBN>1) n4M/=hBN;                    // Calculate the 4mom per one nucleon
         curHadr->Set4Momentum(n4M);
         curHadr->SetQPDG(G4QPDGCode(PDGnu));   // At least one nucleun always exists
@@ -6666,5 +6827,5 @@
       }
     else if(hST<0 && hBN>0) // AntistrangeNucleus (@@ see above, already done)
-	   {
+    {
       G4LorentzVector r4M=curHadr->Get4Momentum(); // Real 4-mom of theAntiStrangeNucleus
       G4double reM=r4M.m();              // Real mass of the antiStrange nucleus
@@ -6686,15 +6847,15 @@
       G4double sum=mR+mKaon;
       if(sum>reM)                        // for GEANT4 (Can not decay in kaon and residual)
-	     {
+      {
         if(kPDG==321)                    // *** Very seldom *** "K+->pi+ conversion"
-		      {
+        {
           kPDG=211;
           mKaon=mPi;
-		      }
+        }
         else                             // *** Very seldom *** "K0(S=-1)->pi- conversion"
-		      {
+        {
           kPDG=111;
           mKaon=mPi0;
-		      }
+        }
         sum=mR+mKaon;
       }
@@ -6702,5 +6863,5 @@
       G4LorentzVector k4M(0.,0.,0.,mKaon);
       if(fabs(reM-sum)<eps)
-	     {
+      {
         n4M=r4M*(mR/sum);
         k4M=r4M*(mKaon/sum);
@@ -6719,5 +6880,5 @@
             G4QPDGCode lQP=theLast->GetQPDG();         // The QPDG of the last
             if(lQP.GetPDGCode()!=10) curHadr->SetQPDG(lQP); //CurHadr instead of PrevHadr
-            else curHadr->SetQC(theLast->GetQC());       // CurHadrPDG instead of LastHadrPDG
+            else curHadr->SetQC(theLast->GetQC());     // CurHadrPDG instead of LastHadrPDG
             curHadr->Set4Momentum(theLast->Get4Momentum()); // ... 4Momentum substitution
           }
@@ -6738,5 +6899,5 @@
           delete quasH;
           fOK=false;
-		      }
+        }
         else
         {
@@ -6757,6 +6918,6 @@
     }
     else if(hPDG>90500000&&hPDG!=91000000&&hPDG!=91000999&&hPDG!=90999001) // Only for G4
-	// @@ Xi & Omega- can be added here ^^^, if show up below
-	   {
+ // @@ Xi & Omega- can be added here ^^^, if show up below
+    {
 #ifdef pdebug
       G4cout<<"***G4QEnvironment::FSI:*G4* Hypernucleus PDG="<<hPDG<<" must decay"<<G4endl;
@@ -6768,12 +6929,12 @@
       G4int nSP=0;                             // A#0f unavoidable Sigma+
       if(nC<0)                                 // Negative hypernucleus
-	     {
+      {
         if(-nC<=nL)
-		      {
+        {
           nSM=-nC;                             // Can be compensated by Sigma-
           nL+=nC;                              // Reduce the residual strangeness
         }
         else
-		      {
+        {
           nSM=nL;                              // The maximum number of Sigma-
           nL=0;                                // Kill the residual strangeness
@@ -6781,7 +6942,7 @@
       }
       else if(nC>nB-nL)                        // Extra positive hypernucleus
-	     {
+      {
         if(nC<=nB)
-		      {
+        {
           G4int dH=nB-nC;
           nSP=nL-dH;                           // Can be compensated by Sigma+
@@ -6789,5 +6950,5 @@
         }
         else
-		      {
+        {
           nSP=nL;                              // The maximum number of Sigma+
           nL=0;                                // Kill the residual strangeness
@@ -6803,5 +6964,5 @@
 #endif
       if(nSP||nSM)
-	     {
+      {
         if(nL)
         {
